#ifndef EXPORTDEFINITIONS_H_
#define EXPORTDEFINITIONS_H_

#include "filetarget.h"

class ObjectFile;

/**
An export definition file for a shared library.  Only used on Windows.
*/
class ExportDefinitions: public FileTarget
{
public:
	ExportDefinitions(Builder &, const Component &, const std::list<ObjectFile *> &);
private:
	static Msp::FS::Path generate_target_path(const Component &);

public:
	virtual const char *get_type() const { return "ExportDefinitions"; }
};

#endif
